%define upstream_name    DBD-mysql
%define upstream_version 4.050
#define Werror_cflags %%nil

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    MySQL-Perl bindings
License:    GPL
Group:      Development/Databases
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

# (tmb) filter out deps on self
%global __requires_exclude ^perl\\(DBD\\:\\:mysql\\)

BuildRequires: perl(DBI) >= 1.609.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::CheckLib) >= 1.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(bigint)
BuildRequires: mysql-devel
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: pkgconfig(zlib)
Provides:   perl-Mysql
Obsoletes:  perl-Mysql

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%serverbuild

%__perl Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222
%make_build OPTIMIZE="$CFLAGS"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 4.50.0-8.mga9
+ Revision: 1862856
- Rebuild for Perl 5.36

* Sat Apr 02 2022 umeabot <umeabot> 4.50.0-7.mga9
+ Revision: 1841119
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 4.50.0-6.mga9
+ Revision: 1726544
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 4.50.0-5.mga8
+ Revision: 1595638
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 4.50.0-4.mga8
+ Revision: 1530204
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 4.50.0-3.mga8
+ Revision: 1434508
- rebuild for perl 5.30

* Tue Aug 27 2019 tmb <tmb> 4.50.0-2.mga8
+ Revision: 1434045
- filter out self-requires on perl(DBD::mysql)
+ tv <tv>
- rebuild with perl-5.30

* Fri Jan 11 2019 tv <tv> 4.50.0-1.mga7
+ Revision: 1355030
- update to 4.050

* Sat Nov 24 2018 tv <tv> 4.49.0-1.mga7
+ Revision: 1333756
- update to 4.049

* Sun Oct 21 2018 tv <tv> 4.48.0-1.mga7
+ Revision: 1323173
- update to 4.048

* Fri Sep 21 2018 umeabot <umeabot> 4.46.0-3.mga7
+ Revision: 1292676
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 4.46.0-2.mga7
+ Revision: 1248059
- rebuild for perl 5.28

* Mon Apr 09 2018 shlomif <shlomif> 4.46.0-1.mga7
+ Revision: 1216853
- fix build
+ kekepower <kekepower>
- Update to version 4.046

* Fri Dec 29 2017 luigiwalser <luigiwalser> 4.43.0-2.mga7
+ Revision: 1186910
- add back patch 1 from fedora
- add patches from fedora to fix CVE-2017-10789
- drop patch 1
- add patch from fedora to fix CVE-2017-10788

* Thu Dec 21 2017 shlomif <shlomif> 4.43.0-1.mga7
+ Revision: 1183700
- New version + fix build.

* Mon Oct 02 2017 tv <tv> 4.41.0-5.mga7
+ Revision: 1163893
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 4.41.0-4.mga7
+ Revision: 1150075
- Rebuild for perl ABI changes

* Wed Aug 02 2017 guillomovitch <guillomovitch> 4.41.0-3.mga7
+ Revision: 1134001
- rebuild for latest openssl

* Sat Jul 22 2017 neoclust <neoclust> 4.41.0-2.mga7
+ Revision: 1126755
- Rebuild against new Perl 5.26

* Tue Nov 29 2016 guillomovitch <guillomovitch> 4.41.0-1.mga6
+ Revision: 1071051
- new version 4.041

* Wed Nov 16 2016 guillomovitch <guillomovitch> 4.39.0-1.mga6
+ Revision: 1067568
- new version 4.039

* Tue Oct 04 2016 guillomovitch <guillomovitch> 4.37.0-1.mga6
+ Revision: 1058690
- new version 4.037

* Wed Jul 27 2016 guillomovitch <guillomovitch> 4.35.0-1.mga6
+ Revision: 1043808
- new version 4.035 (fix CVE-2014-9906 and CVE-2015-8949)

* Sat Jun 18 2016 pterjan <pterjan> 4.32.0-3.mga6
+ Revision: 1025373
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.32.0-2.mga6
+ Revision: 957096
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 4.32.0-1.mga6
+ Revision: 858226
- update to 4.032

* Fri Jun 26 2015 tv <tv> 4.31.0-2.mga6
+ Revision: 844812
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 4.31.0-1.mga6
+ Revision: 841861
- new version 4.031

* Wed Oct 15 2014 umeabot <umeabot> 4.28.0-3.mga5
+ Revision: 749215
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.28.0-2.mga5
+ Revision: 684097
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 4.28.0-1.mga5
+ Revision: 659384
- update to 4.028

* Tue Jun 03 2014 jquelin <jquelin> 4.27.0-2.mga5
+ Revision: 632206
- perl 5.20.0 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 4.27.0-1.mga5
+ Revision: 606186
- update to 4.027

* Mon Feb 10 2014 jquelin <jquelin> 4.26.0-1.mga5
+ Revision: 588259
- update to 4.026

* Mon Oct 21 2013 umeabot <umeabot> 4.24.0-2.mga4
+ Revision: 539258
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 4.24.0-1.mga4
+ Revision: 491698
- update to 4.024

* Mon Jun 10 2013 jquelin <jquelin> 4.23.0-1.mga4
+ Revision: 441527
- update to 4.023

* Wed May 29 2013 jquelin <jquelin> 4.22.0-3.mga4
+ Revision: 431182
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.22.0-2.mga3
+ Revision: 365044
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 4.22.0-1.mga3
+ Revision: 297969
- update to 4.022

* Tue Jun 05 2012 jquelin <jquelin> 4.21.0-1.mga3
+ Revision: 254734
- update to 4.021

* Wed May 30 2012 jquelin <jquelin> 4.20.0-3.mga3
+ Revision: 250490
- rebuild for perl 5.16

* Tue Dec 20 2011 barjac <barjac> 4.20.0-2.mga2
+ Revision: 184666
- Bump release
- Rebuild against mariadb
+ jquelin <jquelin>
- update to 4.020

* Sun Jun 12 2011 ahmad <ahmad> 4.19.0-4.mga2
+ Revision: 104423
- Update to 4.019
+ sander85 <sander85>
- Rebuild for perl 5.14

* Thu Mar 24 2011 dmorgan <dmorgan> 4.18.0-2.mga1
+ Revision: 77078
- Rebuild against new mysql

* Fri Feb 25 2011 jquelin <jquelin> 4.18.0-1.mga1
+ Revision: 59651
- update to 4.018

* Sat Jan 22 2011 jquelin <jquelin> 4.17.0-4.mga1
+ Revision: 32734
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.17.0-3.mga1
+ Revision: 30043
- mageia rebuild
- imported package perl-DBD-mysql


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 4.17.0-3mdv2011.0
+ Revision: 627002
- rebuilt against mysql-5.5.8 libs, again

* Mon Dec 27 2010 Oden Eriksson <oeriksson@mandriva.com> 4.17.0-2mdv2011.0
+ Revision: 625423
- rebuilt against mysql-5.5.8 libs

* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 4.17.0-1mdv2011.0
+ Revision: 569934
- update to 4.017

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 4.16.0-4mdv2011.0
+ Revision: 564403
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 4.16.0-3mdv2011.0
+ Revision: 555787
- rebuild for perl 5.12

  + Sandro Cazzaniga <kharec@mandriva.org>
    - rebuild

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 4.16.0-1mdv2011.0
+ Revision: 553080
- update to 4.016

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 4.14.0-4mdv2010.1
+ Revision: 536132
- update to 4.014

* Thu Apr 08 2010 Funda Wang <fwang@mandriva.org> 4.13.0-4mdv2010.1
+ Revision: 532895
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 4.13.0-3mdv2010.1
+ Revision: 511615
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.13.0-2mdv2010.1
+ Revision: 507034
- rebuild

* Fri Sep 18 2009 Jérôme Quelin <jquelin@mandriva.org> 4.13.0-1mdv2010.0
+ Revision: 444261
- update to 4.013

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 4.12.0-1mdv2010.0
+ Revision: 393660
- update to 4.012
- using %%perl_convert_version

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.011-1mdv2010.0
+ Revision: 383959
- update to new version 4.011
- new version
- disable format errors checking, due to strange results

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 4.008-2mdv2009.1
+ Revision: 311202
- rebuilt against mysql-5.1.30 libs

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.008-1mdv2009.0
+ Revision: 277947
- update to new version 4.008

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.007-2mdv2009.0
+ Revision: 265354
- rebuild early 2009.0 package (before pixel changes)

* Tue May 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.007-1mdv2009.0
+ Revision: 209324
- update to new version 4.007

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 4.006-2mdv2008.1
+ Revision: 157263
- rebuild with fixed %%serverbuild macro

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.006-1mdv2008.1
+ Revision: 153975
- update to new version 4.006

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 4.005-2mdv2008.1
+ Revision: 152054
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Oden Eriksson <oeriksson@mandriva.com> 4.005-1mdv2008.0
+ Revision: 53561
- 4.005

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 4.004-1mdv2008.0
+ Revision: 19857
- 4.004


* Tue Mar 06 2007 Oden Eriksson <oeriksson@mandriva.com> 4.003-1mdv2007.0
+ Revision: 133623
- 4.003

* Thu Jan 11 2007 Oden Eriksson <oeriksson@mandriva.com> 4.001-1mdv2007.1
+ Revision: 107382
- 4.001

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0008-1mdv2007.1
+ Revision: 75669
- Import perl-DBD-mysql

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0008-1mdv2007.1
- 3.0008 (fixes #26932)
- fix deps

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0006-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0006-1mdv2007.0
- New version 3.0006

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0004-1mdv2007.0
- New release 3.0004
- spec cleanup

* Wed Jan 04 2006 Emmanuel Blindauer <blindauer@mandriva.org> 3.0002-4mdk
- rebuild against openssl-0.9.8a, sync with ppc

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0002-3mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0002-2mdk
- rebuilt against MySQL-5.0.15

* Sat Jul 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.0002-1mdk
- 3.0002

* Sat Jul 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.0000-1mdk
- 3.0000

* Thu Jun 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9008-1mdk
- 2.9008
- Change innacurate summary

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9007-1mdk
- 2.9007

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.9004-6mdk
- Add perl-DBI in the BuildRequires (Marc Koschewski)

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9004-5mdk
- rebuild

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9004-4mdk
- rebuilt against MySQL-4.1.x system libs

* Fri Jan 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.9004-3mdk
- Fix URL and source
- Replaces perl-Mysql

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 2.9004-2mdk
- Rebuild for new perl

* Sun Jul 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9004-1mdk
- 2.9004

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9003-1mdk
- 2.9003
- drop distribution tag
- cosmetics

